Subject: [MAGMA]About the reserved address handlin g in IGMP snooping.

From: [email-masked]
Date: Wed, 10 Jan 2007 20:42:31 +0800 (CST)

Hi, all
 
In RFC 4541 (IGMP and MLD Snooping Switches Considerations) Section 2.1.2,it states:
 
"Packets with a destination IP (DIP) address in the 224.0.0.X range which are not IGMP must be forwarded on all ports."
It's quite right,since many protocols (such as OSPF,VRRP etc.) will use these addresses without sending any IGMP Joins.
 
But what about the addresses beyond this range,224.0.0.x? Should packets with other addresses as DIP be discarded?
 
Accroding to IANA multicast assignment, there are many other protocols which doesn't use the addresses in the 224.0.0.x range ,for example: 224.0.1.1  (used by Network Time Protocol,NTP). should these protocol traffic be discarded by a switch implementing IGMP snooping? 
 
Thank you!

Klein

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: John Zwiebel <[email-masked]>
Date: Wed, 10 Jan 2007 08:33:59 -0800

On Jan 10, 2007, at 4:42 AM, [email-masked] wrote:

> "Packets with a destination IP (DIP) address in the 224.0.0.X range  
> which are not IGMP must be forwarded on all ports."
> It's quite right,since many protocols (such as OSPF,VRRP etc.) will  
> use these addresses without sending any IGMP Joins.

Some implementations send IGMP reports for the link-local groups just to
make it easier for snooping switches.  Some people interpret the spec  
to require
reports for link-local groups even though they won't be forwarded off  
that LAN -- some don't.
Your implementation will have to deal with that.

Any other multicast packet should be forwarded only to ports on which  
there
are multicast members.  So one would not forward the NTP packets unless
a report had been received on that port.

>
> But what about the addresses beyond this range,224.0.0.x? Should  
> packets with other addresses as DIP be discarded?
>
> Accroding to IANA multicast assignment, there are many other  
> protocols which doesn't use the addresses in the 224.0.0.x  
> range ,for example: 224.0.1.1  (used by Network Time Protocol,NTP).  
> should these protocol traffic be discarded by a switch implementing  
> IGMP snooping?
>
> Thank you!
>
>
> Klein
>
>
>
>
> 想免费获得高速稳定的3G邮箱吗？ www.126.com